<?php
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
//require_once"../template/maincore.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";
 echo '<div class="b"><img src="../images/smiles/hello.gif" alt="" /> <b style="font-weight: 600;">Чат</b></div>';
 /* //---Если надо запретить доступ гостям, раскоментируй---//
 if (md5($_SESSION['par'])!==$provpar || $_SESSION['log']!==$provlog || $_SESSION['log']=="" || md5($_SESSION['par'])==""){ //---От-М17---//
// if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
 	echo "Для начала Вам необходимо <a href=\"../pages/vhod.php?".SID."\">авторизоваться</a> или
 	<a href=\"../pages/registration.php?\">зарегестрироваться</a><br />\r\n";
 	echo '<br><img src="../images/img/dot.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a> | ';
 	echo'<a href="../book/?'.SID.'">Гостевая</a> ('.(int)$book_shet.') |';
 	echo'<a href="../forum/?'.SID.'"> Форум </a> ('.(int)$forum_shet.') |<br>';
 	include_once"../themes/$config_themes/foot.php";
 	exit;
 	}   */
 		  //---------Приват-в-знакомствах----------//
 		/*
 		$co_n_ss='0';
 		if (file_exists("../local/datalove/kont/$log.kont")){
 			$counter_n_s=file("../local/datalove/kont/$log.kont");
 			$counter_n_s_k=count($counter_n_s);
 			for ($i=0;$i<$counter_n_s_k;$i++){
 				$co_n=explode(":||:",$counter_n_s[$i]);
 				if ($co_n[2]!='' && $co_n[2]>'0'){
 					$co_n_ss=$co_n_ss+$co_n[2];
 					}
 				}
 			}
 			if ($co_n_ss!='0'){
 				echo '<img src="../images/img/act2.gif" alt="" /> <b style="font-weight: 600;">
 				<a class="menu" href="../love/love.php?'.SID.'"><font color="#FF0000">Письмо в знакомствах!</font></a>
 				</b><br />';}

        if ($co_n_ss!='0' || $udata[10]>0)
        {
        	echo "<br />\r\n";
        	}
        */	//=========================//
   //---Подсчёт-онлайн-в-миничате---//
   $localfile = file(BASEDIR."local/who.dat");
 foreach($localfile as $value){
 	$who_file=explode("|",$value);
 	$controltime=$sitetime-trim($who_file[3]);
 	if($controltime < 90){
 		$array_users[]=trim($who_file[0]);
 		if (strstr($who_file[1],"/forum")){$forum_shet++;}
 		if (strstr($who_file[1],"/chat")){$chat_shet++;}
 		if (strstr($who_file[1],"/book")){$book_shet++;}
 		if ($who_file[1]=="/index.php"){$index_shet++;}
 		if ($who_file[1]=="invisible"){$invis_shet++;}
 		$online_shet++;
 		}}
   //----------CHAT-----------//
   echo 'Комнаты:<br />'; //---Счет-в-чате-прихожка--- if (strstr($who_file[1],"/chat")){$chat_shet++;} //
   echo '&raquo; <a href="indexx.php?'.SID.'"><b style="font-weight: 600;">Общага</b></a> ('.(int)$chat_shet.')<br/>';
   if (!file_exists("../local/datachat/rooms.dat")){
   	echo "Нет комнат<br />\r\n";
   	}
   	else
   	{
   		$datarooms=file("../local/datachat/rooms.dat");
   		$datarooms_k=count($datarooms);
   		if ($datarooms_k=='0'){
   			echo "Нет комнат<br />\r\n";
   		}
   		for ($i=0;$i<$datarooms_k;$i++)
   		{
   			$room=explode(":||:",$datarooms[$i]);
   			$k_chel='0';
   			if (file_exists("../local/datachat/online.dat")){
   				$room2=file("../local/datachat/online.dat");
   				$k_chel2=count($room2);
   				for ($d=0;$d<$k_chel2;$d++){
   					$onl=explode(":||:",$room2[$d]);
   					if ($onl[1]==$room[0] && $time<$onl[2]+90){
   						$k_chel++;
   						}
   					}
   				}
   		echo '&raquo; <a href="chat.php?id_room='.$room[0].'&amp;'.SID.'"><b style="font-weight: 600;">'.$room[1].'</b></a> ('.$k_chel.')';
   		echo "<br />";
   		$k_mess_chat='0';
   		}
   	}
   	echo "<hr />";
   	echo "|<a href=\"who.php?".SID."\"> Кто в Чате</a> | ";
   	echo'<a href="/pages/smiles.php"> Cмайлы </a> | ';
// if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ){
/* if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
 	if ($dostup==101 || $dostup==102){
 		echo'<a href="../'.$config_mpanel.'/achat.php?'.SID.'">Управление</a> | ';
 		echo'<a href="../'.$config_mpanel.'/adminchat.php?'.SID.'">Админчат</a> |<br>';
 		}
 		else
 		{
 			echo'<a href="../book/?'.SID.'">Прихожка</a> ('.(int)$book_shet.') |';
 			}
 	}
 	else
 	{
 		echo'<a href="../forum/?'.SID.'"> Форум </a> ('.(int)$forum_shet.') |<br>';
 		}
 	echo '&raquo;<a href="../index.php?'.SID.'">На главную</a>';
 	echo '<a href="http://kento.ru">.</a><br />'; */
 	include_once"../themes/$config_themes/foot.php";
?>